/*
 Theme Name:   Dragon
 Theme URI:    https://redboxstudio.com
 Description:  GeneratePress child theme
 Author:       Nic
 Author URI:   https://nicsim.com
 Template:     generatepress
 Version:      20.22
 Tags:
*/

html {
    font-size: 62.5%;
}


/* Set the main content area to a minimum of 65vh */
#main {
    min-height: 65vh;


/* Site Wrapper to set overall site max width */
.site-wrapper {
    width: 100%;
    max-width: 1920px;
    background-color: var(--body);
}

body {
    background-color: var(--outside-container);
}

/* HELPER CLASSES */

/* Standard Shadow(s) */

.shadow-standard {
    box-shadow: 0px 5px 16px -5px rgba(33, 33, 33, 0.2);
    transition: all 0.2s ease-in;
}

.shadow-standard:hover {
    box-shadow: 0px 8px 32px 0px rgba(33, 33, 33, 0.1);
}

/* Max Width(s) */

.max-width-1024 {
    max-width: 1024px;
}

.max-width-768 {
    max-width: 768px;
}

.max-width-640 {
    max-width: 640px;
}

.max-width-480 {
    max-width: 480px;
}

/* Margin Auto */

.margin-auto {
    margin-left: auto;
    margin-right: auto;
}

/* Position Properties */

.relative {
    position: relative;
}

.absolute {
    position: absolute;
    top: 0px;
    left: 0px;
}

.sticky {
    position: sticky;
    top: 24px;
}

/* Image Aspect Ratios */

.aspect-1-1 img {
    aspect-ratio: 1/1;
    object-fit: cover;
}

.aspect-3-2 img {
    aspect-ratio: 3/2;
    object-fit: cover;
}

.aspect-2-3 img {
    aspect-ratio: 2/3;
    object-fit: cover;
}

.aspect-4-3 img {
    aspect-ratio: 4/3;
    object-fit: cover;
}

.aspect-3-4 img {
    aspect-ratio: 3/4;
    object-fit: cover;
}

.aspect-16-9 img {
    aspect-ratio: 16/9;
    object-fit: cover;
}

.aspect-9-16 img {
    aspect-ratio: 9/16;
    object-fit: cover;
}
